Unblock User
curl --request DELETE \
--url https://api.twexapi.io/twitter/user/block \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
}
'import requests
url = "https://api.twexapi.io/twitter/user/block"
payload = {
"username": "<string>",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
username: '<string>',
cookie: 'ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7'
})
};
fetch('https://api.twexapi.io/twitter/user/block', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "success",
"data": {
"id": "1717001045992251392",
"name": "Cryptoklepto",
"screen_name": "CK_Cryptoklepto",
"created_at": "Mon Oct 28 02:32:47 +0000 2024",
"created_at_datetime": "2024-10-28T02:32:47.000Z",
"can_dm": false,
"can_media_tag": false,
"default_profile": false,
"default_profile_image": false,
"description": "",
"description_urls": [],
"urls": [
{
"url": "https://www.google.com",
"expanded_url": "https://www.google.com",
"display_url": "www.google.com"
}
],
"fast_followers_count": 0,
"favourites_count": 0,
"followers_count": 0,
"following_count": 0,
"has_custom_timelines": false,
"is_blue_verified": false,
"verified_type": "government",
"is_verified": false,
"profile_image_shape": "Circle",
"is_translator": false,
"listed_count": 0,
"location": "New York, USA",
"media_count": 0,
"normal_followers_count": 0,
"pinned_tweet_ids": [],
"possibly_sensitive": false,
"profile_banner_url": "<string>",
"profile_image_url": "<string>",
"protected": false,
"statuses_count": 0
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Users Endpoints
Unblock User
Unblock a user, $0.0025 per call.
DELETE
/
twitter
/
user
/
block
Unblock User
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The username of the user to block.
The user's Twitter authentication cookie or Twitter auth_token, how-to-get-twitter-cookie
Example:
"ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
⌘I